org.red5.server.net.rtmpe

## Class RTMPEIoFilter

- java.lang.Object
- - org.apache.mina.core.filterchain.IoFilterAdapter
  - - org.red5.server.net.rtmpe.RTMPEIoFilter

All Implemented Interfaces:
  org.apache.mina.core.filterchain.IoFilter

    public class RTMPEIoFilter
    extends org.apache.mina.core.filterchain.IoFilterAdapter

RTMPE IO filter

Author:
  Peter Thomas (ptrthomas@gmail.com), Paul Gregoire (mondain@gmail.com)

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.mina.core.filterchain.IoFilter

`org.apache.mina.core.filterchain.IoFilter.NextFilter`

### Constructor Summary

Constructors
Constructor and Description
`RTMPEIoFilter()`

### Method Summary

Methods
`void` `filterWrite(org.apache.mina.core.filterchain.IoFilter.NextFilter nextFilter, org.apache.mina.core.session.IoSession session, org.apache.mina.core.write.WriteRequest request)`
`void` `messageReceived(org.apache.mina.core.filterchain.IoFilter.NextFilter nextFilter, org.apache.mina.core.session.IoSession session, Object obj)`

### Methods inherited from class org.apache.mina.core.filterchain.IoFilterAdapter

`destroy, exceptionCaught, filterClose, init, messageSent, onPostAdd, onPostRemove, onPreAdd, onPreRemove, sessionClosed, sessionCreated, sessionIdle, sessionOpened, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RTMPEIoFilter

    public RTMPEIoFilter()

### Method Detail

#### messageReceived

    public void messageReceived(org.apache.mina.core.filterchain.IoFilter.NextFilter nextFilter,
                       org.apache.mina.core.session.IoSession session,
                       Object obj)
                         throws Exception

Specified by:
  `messageReceived` in interface `org.apache.mina.core.filterchain.IoFilter`
Overrides:
  `messageReceived` in class `org.apache.mina.core.filterchain.IoFilterAdapter`
Throws:
  `Exception`

#### filterWrite

    public void filterWrite(org.apache.mina.core.filterchain.IoFilter.NextFilter nextFilter,
                   org.apache.mina.core.session.IoSession session,
                   org.apache.mina.core.write.WriteRequest request)
                     throws Exception

Specified by:
  `filterWrite` in interface `org.apache.mina.core.filterchain.IoFilter`
Overrides:
  `filterWrite` in class `org.apache.mina.core.filterchain.IoFilterAdapter`
Throws:
  `Exception`